@import '../../../../../assets/styles/common.scss';

.orbitracker-params-container {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: row;
    color: rgba(0,0,0,.87);

    .custom-ui-select-field {
        width: 100%;
    }

    &-form {
        width: 100%;
        height: 100%;
        display: flex;
        flex-direction: column;

        .custom-ui-switch {
            .mdl-switch__track {
                background: rgba(0,0,0,.26);
            }
            .mdl-switch__thumb {
                background: #fafafa;
            }
        }

        &-navigation {
            height: 80px;
            display: flex;
            flex-direction: column;
            border-bottom: 1px solid rgba(0,0,0,.15);

            &-buttons {
                height: 40px;
                z-index: 9999;
                display: flex;
                flex-wrap: nowrap;
                flex-direction: row;

                .mdl-button {
                    width: 33.3%;
                    font-size: 16px;
                    font-weight: bold;
                    border-radius: 0px;
                    transition: max-width 0.5s;
                    transition: background-color 0.5s;
                    background-color: rgba($bgColor, 0.25);

                    &:hover, &:focus {
                        color: white;
                        background-color: $bgColor;
                    }

                    &:not(:last-child) {
                        border-right: 1px solid rgba($bgColor, 0.3);
                    }
                }
            }

            &-show-more {
                height: 40px;

                .mdl-checkbox {
                    margin: 5px 20px;
                    width: auto;

                    &.is-checked {
                        .mdl-checkbox__box-outline {
                            border-color: $bgColor;
                        } 

                        .mdl-checkbox__tick-outline {
                            background-color: $bgColor;
                        }
                    }

                    .mdl-checkbox__box-outline {
                        border-color: $bgColor;
                    }
                }
            }
        }

        &-sections {
            overflow-y: auto;
            height: calc(100% - 80px);

            &-wake-up-hours {
                border-top: 1px solid rgba($bgColor, 0.15);
            }

            &-item {
                height: auto;

                &-column {
                    width: 50%;
                    float: left;
                    height: auto;
                    display: flex;
                    flex-direction: column;

                    &:nth-child(2) {
                      float: right;
                    }

                    &-fieldset {
                        height: auto;
                        margin: 10px;
                        padding: 10px;
                        display: flex;
                        flex-direction: column;
                        width: calc(100% - 40px);
                        background-color: snow;
                        box-shadow: 0 2px 1px 0 rgba(0,0,0,.1);

                        &-content {
                            padding-left: 10px;
                            margin: 12px 0px 12px 16px;
                            border-left: 1px solid rgba(0,0,0,.105);
                
                            &-line {
                                display: flex;
                                padding: 10px 4px;
                                flex-wrap: nowrap;
                                align-items: center;
                                flex-direction: row;
                                justify-content: space-around;

                                > * {
                                    width: 100%;
                                }
                                .mdl-switch {
                                    width: 50px;
                                }
                                .mdl-textfield {
                                  width: 100%;
                                }
                        
                                &-label,
                                &-title {
                                    display: block;
                                    font-size: 14px;
                                }

                                &-label {
                                    margin-left: 4px;
                                    width: 30px;
                                }

                                &-group {
                                    display: flex;
                                    margin: 0px 15px;
                                    flex-direction: row;    
                                    align-items: center;
                                }

                                &-switch,
                                &-spinbox {
                                    width: 100%;
                                }

                                &-datetimepicker {
                                    margin-top: 20px;

                                    .rdt.rdtOpen .rdtPicker {

                                        width: 100%;

                                        .rdtDays,
                                        .rdtMonths,
                                        .rdtYears {
                                            margin-top: 5px;
                                        }
                                    }

                                    .rdt {
                                        input {
                                            background-position-x: calc(100% - 16px);
                                            background-color: transparent;
                                        }
                                    }
                                }
                            }
                        }

                        &-legend {
                            width: 100%;
                            display: block;
                            font-size: 22px;
                            font-weight: bold;
                            box-sizing: border-box;
                            background-color: snow;
                            padding: 15px 10px 0px 10px;
                            color: rgba(0, 0, 0, 0.64);
                        }
                    }
                }
            }
        }
    }
}

[disabled] * {
    color: rgba(0,0,0,.26)!important;
}

@media screen and (max-width: 1366px){
    .orbitracker-params-container {
        &-form {
            &-sections {
                &-item {
                    &-column,
                    &-column:nth-child(2) {
                      width: 100%;
                      float: none;
                    }
                }
            }
        }
    }
}

@media screen and (max-width: 768px){
    .orbitracker-params-container {
        &-form {
            &-navigation {
                height: 180px;

                &-buttons {
                    
                    height: 120px;
                    flex-wrap: wrap;
                    align-items: flex-start;
                    align-content: flex-start;

                    .mdl-button {
                        width: 100%;

                        &:not(:last-child) {
                            border-right: none;
                            border-bottom: 1px solid rgba($bgColor, 0.3);
                        }
                    }
                }
            }

            &-sections {
                &-wake-up-hours {
                    margin-top: 10px;
                }
                &-item {
                    &-column {
                        &-fieldset {
                            margin: 3px 0px;
                            width: auto;

                            &-legend {
                                font-size: 18px;
                                padding-bottom: 10px;
                            }

                            &-content {
                                margin: 0px;
                                border-left: none;

                                &-line {

                                    flex-wrap: wrap;
                                    padding: 10px 0px 0px 0px;
                                    justify-content: flex-start;
                                    align-items: flex-start;

                                    &-group {
                                        margin: 0px;
                                    }

                                    &-spinbox {
                                        width: calc(100% - 40px);
                                    }

                                    &-label {
                                        width: auto;
                                        font-size: 12px;
                                    }

                                    &-switch {
                                        &.mdl-switch {
                                            margin-bottom: 15px;
                                        }
                                    }

                                    &-movement {
                                        flex-wrap: nowrap;
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
    .mdl-tabs.mdl-js-tabs {
        .mdl-tabs__tab-bar {
            margin-top: -1.2rem;
            margin-bottom: 1rem;
        }
        .mdl-tabs__tab {
            flex-grow: 1;
        }
    }
}
